org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodAbstractBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodAbstractBeanB
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodAbstractBeanA

    @ApplicationScoped
    public class FallbackMethodAbstractBeanA
    extends FallbackMethodAbstractBeanB

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodAbstractBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `fallback(int a, Long b)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodAbstractBeanB

`method`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodAbstractBeanA

    public FallbackMethodAbstractBeanA()

### Method Detail

#### fallback

    protected String fallback(int a,
                              Long b)

Specified by:
  `fallback` in class `FallbackMethodAbstractBeanB`